Http11Nio2Protocol (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.coyote.http11

## Class Http11Nio2Protocol

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<S>
    - - org.apache.coyote.http11.AbstractHttp11JsseProtocol<Nio2Channel>
      - - org.apache.coyote.http11.Http11Nio2Protocol

- All Implemented Interfaces:
    `javax.management.MBeanRegistration`, `ProtocolHandler`

      public class Http11Nio2Protocol
      extends AbstractHttp11JsseProtocol<Nio2Channel>

  HTTP/1.1 protocol implementation using NIO2.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

      `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

  - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `sm`

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol

      `adapter, domain, mserver, oname, processorCache, rgOname`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Http11Nio2Protocol()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Log` | `getLog()` | Concrete implementations need to provide access to their logger to be used by the abstract classes.
    `protected java.lang.String` | `getNamePrefix()` | Obtain the prefix to be used when construction a name for this protocol handler.

    - ### Methods inherited from class org.apache.coyote.http11.AbstractHttp11JsseProtocol

      `getEndpoint, getSniParseLimit, getSslImplementationName, getSslImplementationShortName, setSniParseLimit, setSslImplementationName`

    - ### Methods inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `addAllowedTrailerHeader, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, destroy, findSslHostConfigs, findUpgradeProtocols, getAlgorithm, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCiphers, getClientAuth, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getContinueResponseTiming, getContinueResponseTimingInternal, getCrlFile, getDefaultSSLHostConfigName, getDisableUploadTimeout, getKeyAlias, getKeyPass, getKeystoreFile, getKeystorePass, getKeystoreProvider, getKeystoreType, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxHttpRequestHeaderSize, getMaxHttpResponseHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionStrongETag, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getONameForUpgrade, getProtocolName, getRejectIllegalHeader, getRejectIllegalHeaderName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getSessionCacheSize, getSessionTimeout, getSSLCACertificateFile, getSSLCACertificatePath, getSSLCARevocationFile, getSSLCARevocationPath, getSSLCertificateChainFile, getSSLCertificateFile, getSSLCertificateKeyFile, getSSLCipherSuite, getSSLDisableCompression, getSSLDisableSessionTickets, getSslEnabledProtocols, getSSLHonorCipherOrder, getSSLPassword, getSslProtocol, getSSLProtocol, getSSLVerifyClient, getSSLVerifyDepth, getTrustManagerClassName, getTrustMaxCertLength, getTruststoreAlgorithm, getTruststoreFile, getTruststorePass, getTruststoreProvider, getTruststoreType, getUpgradeGroupInfo, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, getUseServerCipherSuitesOrder, init, isSSLEnabled, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAlgorithm, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCiphers, setClientAuth, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setContinueResponseTiming, setCrlFile, setDefaultSSLHostConfigName, setDisableUploadTimeout, setKeyAlias, setKeyPass, setKeystoreFile, setKeystorePass, setKeystoreProvider, setKeystoreType, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxHttpRequestHeaderSize, setMaxHttpResponseHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionStrongETag, setNoCompressionUserAgents, setRejectIllegalHeader, setRejectIllegalHeaderName, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSessionCacheSize, setSessionTimeout, setSSLCACertificateFile, setSSLCACertificatePath, setSSLCARevocationFile, setSSLCARevocationPath, setSSLCertificateChainFile, setSSLCertificateFile, setSSLCertificateKeyFile, setSSLCipherSuite, setSSLDisableCompression, setSSLDisableSessionTickets, setSSLEnabled, setSslEnabledProtocols, setSSLHonorCipherOrder, setSSLPassword, setSslProtocol, setSSLProtocol, setSSLVerifyClient, setSSLVerifyDepth, setTrustManagerClassName, setTrustMaxCertLength, setTruststoreAlgorithm, setTruststoreFile, setTruststorePass, setTruststoreProvider, setTruststoreType, setUseKeepAliveResponseHeader, setUseSendfile, setUseServerCipherSuitesOrder, useCompression`

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol

      `addWaitingProcessor, awaitConnectionsClose, closeServerSocketGraceful, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, isAprRequired, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.coyote.ProtocolHandler

      `getDesiredBufferSize`

- - ### Constructor Detail

    - #### Http11Nio2Protocol

          public Http11Nio2Protocol()

  - ### Method Detail

    - #### getLog

          protected Log getLog()

      Description copied from class: `AbstractProtocol`
      Concrete implementations need to provide access to their logger to be used by the abstract classes.
      Specified by:
        `getLog` in class `AbstractProtocol<Nio2Channel>`
      Returns:
        the logger

    - #### getNamePrefix

          protected java.lang.String getNamePrefix()

      Description copied from class: `AbstractProtocol`
      Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.
      Specified by:
        `getNamePrefix` in class `AbstractProtocol<Nio2Channel>`
      Returns:
        the prefix